
package net.northking.cctp.scriptcase.tools.hapUtil.module;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class App {

    @SerializedName("apiReleaseType")
    private String mApiReleaseType;
    @SerializedName("appEnvironments")
    private List<Object> mAppEnvironments;
    @SerializedName("bundleName")
    private String mBundleName;
    @SerializedName("bundleType")
    private String mBundleType;
    @SerializedName("compileSdkType")
    private String mCompileSdkType;
    @SerializedName("compileSdkVersion")
    private String mCompileSdkVersion;
    @SerializedName("debug")
    private Boolean mDebug;
    @SerializedName("icon")
    private String mIcon;
    @SerializedName("iconId")
    private int mIconId;
    @SerializedName("label")
    private String mLabel;
    @SerializedName("labelId")
    private int mLabelId;
    @SerializedName("minAPIVersion")
    private Long mMinAPIVersion;
    @SerializedName("targetAPIVersion")
    private Long mTargetAPIVersion;
    @SerializedName("vendor")
    private String mVendor;
    @SerializedName("versionCode")
    private Long mVersionCode;
    @SerializedName("versionName")
    private String mVersionName;

    public String getApiReleaseType() {
        return mApiReleaseType;
    }

    public void setApiReleaseType(String apiReleaseType) {
        mApiReleaseType = apiReleaseType;
    }

    public List<Object> getAppEnvironments() {
        return mAppEnvironments;
    }

    public void setAppEnvironments(List<Object> appEnvironments) {
        mAppEnvironments = appEnvironments;
    }

    public String getBundleName() {
        return mBundleName;
    }

    public void setBundleName(String bundleName) {
        mBundleName = bundleName;
    }

    public String getBundleType() {
        return mBundleType;
    }

    public void setBundleType(String bundleType) {
        mBundleType = bundleType;
    }

    public String getCompileSdkType() {
        return mCompileSdkType;
    }

    public void setCompileSdkType(String compileSdkType) {
        mCompileSdkType = compileSdkType;
    }

    public String getCompileSdkVersion() {
        return mCompileSdkVersion;
    }

    public void setCompileSdkVersion(String compileSdkVersion) {
        mCompileSdkVersion = compileSdkVersion;
    }

    public Boolean getDebug() {
        return mDebug;
    }

    public void setDebug(Boolean debug) {
        mDebug = debug;
    }

    public String getIcon() {
        return mIcon;
    }

    public void setIcon(String icon) {
        mIcon = icon;
    }

    public int getIconId() {
        return mIconId;
    }

    public void setIconId(int iconId) {
        mIconId = iconId;
    }

    public String getLabel() {
        return mLabel;
    }

    public void setLabel(String label) {
        mLabel = label;
    }

    public int getLabelId() {
        return mLabelId;
    }

    public void setLabelId(int labelId) {
        mLabelId = labelId;
    }

    public Long getMinAPIVersion() {
        return mMinAPIVersion;
    }

    public void setMinAPIVersion(Long minAPIVersion) {
        mMinAPIVersion = minAPIVersion;
    }

    public Long getTargetAPIVersion() {
        return mTargetAPIVersion;
    }

    public void setTargetAPIVersion(Long targetAPIVersion) {
        mTargetAPIVersion = targetAPIVersion;
    }

    public String getVendor() {
        return mVendor;
    }

    public void setVendor(String vendor) {
        mVendor = vendor;
    }

    public Long getVersionCode() {
        return mVersionCode;
    }

    public void setVersionCode(Long versionCode) {
        mVersionCode = versionCode;
    }

    public String getVersionName() {
        return mVersionName;
    }

    public void setVersionName(String versionName) {
        mVersionName = versionName;
    }

}
